package pack

import (
	"fmt"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpTaskDataListRequestToCondition(req *http_model.TaskDataListRequest) *common_model.TalentConditions {
	fmt.Printf("初稿转换 %+v", req)
	return &common_model.TalentConditions{
		ProjectId:  req.ProjectId,
		DataStatus: conv.MustInt64(req.DataStatus),
		StrategyId: conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
